.page-template-page-redefinir-senha .tela-login,
.page-template-lost-password .tela-login {
  height: 100vh;
}

.custom-select {
  position: relative;
}

.form-select {
  width: 100%;
  padding-right: 2.5rem;
  border-radius: 25px;
  background: #948779;
  color: white;
  appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;
}

.custom-select::after {
  content: "";
  position: absolute;
  top: 50%;
  right: 1rem;
  transform: translateY(-50%);
  background: url("../icons/select-black.svg") no-repeat center;
  background-size: contain;
  width: 12px;
  height: 9px;
  pointer-events: none;
  transition: transform 0.3s ease;
}

.custom-select.open::after {
  transform: translateY(-50%) rotate(180deg);
}

/* LOGIN PAGE */
.barra-admin {
  background: #e8e7de;
  padding: 1rem;
}
.barra-admin a {
  color: #868686;
  text-decoration: none;
}
.barra-admin a:hover {
  color: #868686;
}
.barra-admin .col-md-3 {
  justify-content: end;
}
.client-edit {
  display: flex;
  align-items: center;
  gap: 10px;
}

.client-edits {
  display: flex;
  gap: 10px;
  align-items: center;
  margin-left: 20px;
}

#client-area {
  background-image: url("../img/user-circle-svgrepo-com.svg");
  width: 30px;
  height: 30px;
  background-repeat: no-repeat;
  background-size: cover;
}

.logo-login {
  padding: 1rem 0;
}

/* .tela-login {
  background: url("../img/bg-login-new.png") no-repeat center center;
  background-size: cover;
  background-attachment: fixed;
  height: 100vh;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
} */

.tela-login {
  height: 100vh;
  width: 100%;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: url("../img/bg-login-new.png") no-repeat center center;
  background-size: cover;
  margin: 0;
  padding: 0;
  overflow: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: -1;
}


.tela-login h2 {
  color: #fff;
  font-family: Sora;
  font-size: 32px;
  font-style: normal;
  font-weight: 700;
  line-height: normal;
  padding: 1rem 0;
}

.box-login h2 {
  color: #fff;
  font-family: Sora;
  font-size: 32px;
  font-style: normal;
  font-weight: 700;
  line-height: normal;
  padding: 1rem 0;
}
.tela-login p {
  font-size: 14px;
  color: #ffffff;
}

.tela-login .box-login {
  padding: 1rem 0;
}

.tela-login input {
  height: 45px;
  color: #fff;
  background: rgba(217, 217, 217, 0);
}
#user_login {
  position: relative;
  padding-left: 40px;
  background-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="22" height="22" viewBox="0 0 22 22" fill="none"><g clip-path="url(%23clip0_8_15)"><path d="M10.9516 12.8489C8.55839 12.8489 6.61117 10.9017 6.61117 8.50844C6.61117 6.11521 8.55839 4.16736 10.9516 4.16736C13.3448 4.16736 15.2926 6.11461 15.2926 8.50844C15.2926 10.9023 13.3454 12.8489 10.9516 12.8489ZM10.9516 5.04812C9.0439 5.04812 7.49191 6.60013 7.49191 8.50844C7.49191 10.4168 9.0439 11.9682 10.9516 11.9682C12.8593 11.9682 14.4118 10.4162 14.4118 8.50844C14.4118 6.60073 12.8598 5.04812 10.9516 5.04812Z" fill="white"/><path d="M17.0722 17.3528C16.8843 17.3528 16.7106 17.2319 16.6516 17.0432C15.872 14.5343 13.581 12.8489 10.9518 12.8489C8.32252 12.8489 6.19636 14.4277 5.34178 16.777C5.2587 17.0058 5.00725 17.1231 4.77758 17.0402C4.54931 16.9571 4.43088 16.7047 4.51436 16.476C5.49436 13.7796 8.08167 11.9681 10.9518 11.9681C13.9691 11.9681 16.5979 13.9026 17.4928 16.7818C17.5651 17.014 17.4351 17.2609 17.203 17.3332C17.1597 17.3466 17.1154 17.353 17.0722 17.353V17.3528Z" fill="white"/><path d="M10.9999 22C4.93436 22 0 17.0656 0 11.0001C0 4.93465 4.93436 0 10.9999 0C17.0654 0 22.0002 4.93445 22.0002 11.0001C22.0002 17.0658 17.0654 22.0002 10.9999 22.0002V22ZM10.9999 0.880759C5.42046 0.880759 0.880743 5.42036 0.880743 11.0001C0.880743 16.5798 5.42026 21.1194 10.9999 21.1194C16.5795 21.1194 21.1195 16.5798 21.1195 11.0001C21.1195 5.42036 16.5797 0.880759 10.9999 0.880759Z" fill="white"/></g><defs><clipPath id="clip0_8_15"><rect width="22" height="22" fill="white"/></clipPath></defs></svg>');
  background-position: left 10px center;
  background-repeat: no-repeat;
  color: #fff;
  background-size: 22px 22px;
  border: 1px solid #fff;
  border-radius: 10px;
}

#user_pass {
  position: relative;
  padding-left: 40px;
  background-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="17" height="22" viewBox="0 0 17 22" fill="none"><g clip-path="url(%23clip0_8_44)"><path d="M0 10.8562V18.9763C0 20.6432 1.35792 21.9994 3.02682 21.9994H13.9732C15.6421 21.9994 17 20.6432 17 18.9763V10.8562C17 9.20575 15.6688 7.86088 14.0227 7.8342V5.57353C14.0227 2.52979 11.5712 0.0293276 8.55789 -0.000202573C7.07351 -0.0133666 5.67712 0.552332 4.62163 1.59656C3.56579 2.64079 2.98443 4.0312 2.98443 5.51163V7.8342C1.33512 7.85697 0 9.20362 0 10.8562ZM12.6423 5.57389V7.83348H4.36479V5.51198C4.36479 4.40229 4.80081 3.35984 5.59305 2.5764C6.38493 1.79331 7.43187 1.3685 8.54471 1.37882C10.8042 1.40088 12.6427 3.28263 12.6427 5.57425L12.6423 5.57389ZM1.38036 10.8562C1.38036 9.94934 2.11917 9.21144 3.02682 9.21144H13.9732C14.8812 9.21144 15.62 9.94934 15.62 10.8562V18.9763C15.62 19.8832 14.8812 20.6211 13.9732 20.6211H3.02682C2.11881 20.6211 1.38036 19.8832 1.38036 18.9763V10.8562Z" fill="white"/><path d="M8.49982 12.8072C9.1802 12.8072 9.73164 13.358 9.73164 14.0375C9.73164 14.5449 9.42422 14.98 8.98535 15.1686L9.37933 17.0258H7.66341L8.05419 15.1846C7.59395 15.0064 7.26765 14.5598 7.26765 14.0372C7.26765 13.3576 7.81908 12.8069 8.49946 12.8069L8.49982 12.8072Z" fill="white"/></g><defs><clipPath id="clip0_8_44"><rect width="17" height="22" fill="white"/></clipPath></defs></svg>');
  background-position: left 10px center;
  background-repeat: no-repeat;
  color: #fff;
  background-size: 22px 22px;
  border: 1px solid #fff;
  border-radius: 10px;
}

.tela-login input::placeholder {
  color: #fff;
}

.box-login input:focus {
  background-color: #ffffff00;
  outline: 0;
  box-shadow: 0 0 0 0.25rem rgba(13, 110, 253, 0.25);
}
.login_a {
  color: #fff;
  font-family: Sora;
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
}
.tela-login .box-login a:hover {
  color: #ffffff;
  opacity: 0.8;
}

.footer-login {
  gap: 10px;
}

.buttons {
  display: flex;
  gap: 10px;
}
.button-login {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding-top: 2rem;
}
.tela-login #wp-submit {
  border-radius: 10px;
  border: 1px solid #fff;
  background: #fff;
  color: #da732b;
  font-family: Sora;
  font-size: 16px;
  font-style: normal;
  font-weight: 700;
  line-height: normal;
  width: 222px;
  height: 40px;
  cursor: pointer;
}

.wp-submit-back {
  border-radius: 10px;
  border: none;
  background: #a79797;
  color: #fff;
  font-family: Sora;
  font-size: 16px;
  font-style: normal;
  font-weight: 700;
  line-height: normal;
  width: 222px;
  height: 40px;
  cursor: pointer;
}

.wp-submit-back a {
  color: #fff;
}

.modal-body {
  padding-top: 0;
}

.desc-form-login-premier {
  color: #414141;
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
}

.password-strength {
  display: flex;
  align-items: center;
  gap: 10px;
  margin-top: 12px;
}

.strength-bar {
  width: 60px;
  height: 8px;
  background-color: #ddd;
  border-radius: 5px;
  transition: background-color 0.3s;
}

.strength-text {
  margin-left: 10px;
  font-size: 14px;
  color: #fff;
  min-width: 80px;
}
#language-label {
  font-size: 0.875rem;
  color: #ffffff;
}
.btn-solicitar-acesso {
  font-size: 1.125rem;
  width: 100%;
  border-radius: 10px;
  border: 1px solid #fff;
  background: #f36523;
  color: #fff;
  font-family: Sora;
  font-size: 16px;
  font-style: normal;
  font-weight: 700;
  line-height: normal;
  padding: 10px;
  margin: 3rem 0;
}
.btn-solicitar-acesso:hover {
  background: #f36523;
  color: #fff;
  opacity: 0.8;
}

h5#modalCadastro {
  color: #f36523;
  font-family: Sora;
  font-size: 32px;
  font-style: normal;
  font-weight: 700;
  line-height: normal;
}

#modCadastro .modal-dialog {
  background-color: #ffffff;
  border-radius: 33px;
}
#modCadastro a {
  color: #ff6900;
}
#modCadastro a:hover {
  color: #ff6900;
  opacity: 0.8;
}
#modCadastro input[type="submit"] {
  background: #f36523;
  width: 100%;
  border-radius: 10px;
  border: none;
}
#modCadastro .btn-close:focus {
  box-shadow: none;
}

/* Mobile - Tela de login */
@media (max-width: 480px) {
  .logo-login {
    max-width: 255px;
    padding: 0;
  }

  .tela-login {
    background-position: left;
  }
  .tela-login h2 {
    font-size: 1rem;
  }
  .tela-login p {
    font-size: 0.9rem;
  }
}

#form-login-premier .field-contact-form {
  height: 50px !important;
  color: #000;
  font-weight: 300;
  font-size: 1rem;
  border-radius: 10px;
  background: #fff;
  border: 0.4px solid #000;
  width: 100%;
  margin: 0.2em;
}

#form-login-premier .field-contact-form::placeholder {
  color: #000;
  opacity: 1;
}

#form-login-premier .field-contact-form::-webkit-input-placeholder {
  color: #000;
}

#form-login-premier .field-contact-form:-ms-input-placeholder {
  color: #000;
}

#form-login-premier .field-contact-form::-ms-input-placeholder {
  color: #000;
}

#modal-register .validacao-input {
  font-size: 10px;
  color: #9e0101;
}

#modal-register .valido {
  color: #005c17;
}

.modal-dialog {
  max-width: 700px !important;
}

.text-modal {
  float: none !important;
  color: #ffffff;
}

.text-modal-regular {
  float: none !important;
  font-weight: 400;
  color: #ffffff;
}

.modal-content {
  background: none !important;
  border: solid 5px #ffffff !important;
  border-radius: 30px !important;
  position: relative;
  padding: 1rem;
}

.modal-content::after {
  content: "";
  background: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="65" height="65" viewBox="0 0 65 65" fill="none"><rect width="65" height="65" rx="32.5" fill="%23F36523"/><g clip-path="url(%23clip0_2132_7)"><path d="M40.597 33.8691C40.0868 33.8691 39.6732 34.2834 39.6732 34.7944V40.5446C39.6732 41.4296 38.9556 42.1493 38.0739 42.1493H21.4468C20.5652 42.1493 19.8476 41.4296 19.8476 40.5446V28.6824H30.869C31.3792 28.6824 31.7928 28.2682 31.7928 27.7571C31.7928 27.246 31.3792 26.8317 30.869 26.8317H19.8476V23.8892C19.8476 23.0058 20.5652 22.2873 21.4468 22.2873H37.2534C37.7636 22.2873 38.1772 21.873 38.1772 21.3619C38.1772 20.8509 37.7636 20.4366 37.2534 20.4366H21.4468C19.5463 20.4366 18 21.9855 18 23.8892V40.5446C18 42.4499 19.5463 44 21.4468 44H38.0742C39.9748 44 41.5211 42.4499 41.5211 40.5446V34.7944C41.5211 34.2834 41.1075 33.8691 40.5973 33.8691H40.597Z" fill="white"/><path d="M46.7294 24.5375L42.4599 20.2605C42.1135 19.9132 41.5 19.9135 41.1539 20.2605L28.5254 32.9103C28.3707 33.0649 28.2758 33.2697 28.2578 33.488L27.8713 38.1533C27.849 38.4244 27.9468 38.6915 28.1389 38.8842C28.3129 39.0582 28.5482 39.1549 28.7921 39.1549C28.8177 39.1549 28.8432 39.154 28.8685 39.1519L33.5272 38.7639C33.7452 38.7455 33.9495 38.6508 34.104 38.4958L46.7297 25.8458C47.0903 25.4843 47.0903 24.8984 46.7297 24.5372L46.7294 24.5375ZM33.0366 36.9476L29.8029 37.2171L30.071 33.9785L38.2491 25.7867L41.2132 28.7557L33.0369 36.9476H33.0366ZM42.5189 27.4471L39.5552 24.4784L41.8067 22.2231L44.7702 25.1915L42.5189 27.4471Z" fill="white"/><path d="M22.5957 37.3043C22.0855 37.3043 21.6719 37.7185 21.6719 38.2296C21.6719 38.7407 22.0855 39.155 22.5957 39.155H25.169C25.6792 39.155 26.0928 38.7407 26.0928 38.2296C26.0928 37.7185 25.6792 37.3043 25.169 37.3043H22.5957Z" fill="white"/></g><defs><clipPath id="clip0_2132_7"><rect width="29" height="24" fill="white" transform="translate(18 20)"/></clipPath></defs></svg>');
  position: absolute;
  width: 65px;
  height: 65px;
  top: 19px;
  left: -6%;
}

.modal-header {
  border-bottom: none !important;
}

.button-close {
  background: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="33" height="33" viewBox="0 0 33 33" fill="none"><circle cx="16.5" cy="16.5" r="15" fill="white" stroke="%23F36523" stroke-width="3"/><g clip-path="url(%23clip0_2244_7)"><path d="M11.2942 12.714L20.2863 21.706C20.6782 22.098 21.3141 22.098 21.706 21.706C22.098 21.3141 22.098 20.6782 21.706 20.2863L12.714 11.294C12.322 10.902 11.6862 10.902 11.2942 11.294C10.9022 11.6862 10.9022 12.3218 11.2942 12.7137V12.714Z" fill="%23F36523"/><path d="M20.286 11.294L11.2937 20.2863C10.9018 20.6782 10.9018 21.3141 11.2937 21.706C11.6857 22.098 12.3215 22.098 12.7135 21.706L21.706 12.714C22.098 12.3218 22.098 11.6862 21.706 11.294C21.3141 10.902 20.6782 10.902 20.2863 11.294H20.286Z" fill="%23F36523"/></g><defs><clipPath id="clip0_2244_7"><rect width="11" height="11" fill="white" transform="matrix(-1 0 0 1 22 11)"/></clipPath></defs></svg>');
  width: 33px !important;
  height: 33px !important;
  border: none;
  position: absolute;
  right: 0;
  top: -22px;
}

.select-size label:before {
  position: absolute;
  z-index: 100;
}
/*    .select-size :checked+label:before {
      content: url("https://cdn1.iconfinder.com/data/icons/windows8_icons_iconpharm/26/checked_checkbox.png");
          } */
.select-size input[type="checkbox"] {
  display: none;
}
/*pure cosmetics:*/
.select-size img {
  width: 100% !important;
}
.select-size label {
}

.select-size input[id="p-size"]:checked + label:before {
  content: url("../img/p-hover.png") !important;
}

.select-size input[id="m-size"]:checked + label:before {
  content: url("../img/m-hover.png") !important;
}

.select-size input[id="g-size"]:checked + label:before {
  content: url("../img/g-hover.png") !important;
}

.select-size input[id="xg-size"]:checked + label:before {
  content: url("../img/xg-hover.png") !important;
}

.select-size input[id="xxg-size"]:checked + label:before {
  content: url("../img/xxg-hover.png") !important;
}

.select-size input[id="psd-size"]:checked + label:before {
  content: url("../img/psd-hover.png") !important;
}

.modal {
  background: rgba(0, 0, 0, 0.8) !important;
}
.modal-backdrop {
  display: none !important;
}
